Download it now!
Bug 52060 - LibreOffice Calc does not validate xml and does not notify when fixing broken xml structure.
Summary: LibreOffice Calc does not validate xml and does not notify when fixing broken...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Infobar File-Opening ODF
  Show dependency treegraph
 
Reported: 2012-07-13 15:53 UTC by Johnny Baloney
Modified: 2020-07-16 18:33 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
In the attached sample file the second graph has issues. Double-click on the graph to see it break. (31.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-13 15:53 UTC, Johnny Baloney
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johnny Baloney 2012-07-13 15:53:23 UTC
Created attachment 64184 [details]
In the attached sample file the second graph has issues. Double-click on the graph to see it break.

I used LibO 3.6.0beta1 (build: 1f1cdd8) to create a spreadsheet that contained a number of graphs. Some of these graphs got corrupt. It turned out that for whatever reason the content.xml files for the broken graphs got chopped off at various places.

I then used both LibO 3.6.0beta1 (build: 1f1cdd8) and LibO 3.5.5.3 (build: 7122e39-92ed229-498d286-15e43b4-d70da21) to open the file with corrupt charts. None has complained while opening the file and both have saved the changes to the file preserving the faults in content.xml for the graphs.

Issues with LibO:

- there seems to be no xml validation performed on the document during opening,
- no warning is issued that the document may be corrupt,
- saving the document preserves faults in the structure,
- there is no attempt of recovery.
Comment 1 Johnny Baloney 2014-09-15 23:19:08 UTC
Version: 4.3.1.2 now (quietly) fixes the broken content.xml. However, it would still be good to notify the user that the file is corrupt.


The broken content.xml:

$ xmllint -noout Object\ 2/content.xml 
Object 2/content.xml:2: parser error : Specification mandate value for attribute sv
style-name="ch5" chartooo:axis-type="auto"><chartooo:date-scale/><chart:title sv
                                                                               ^
Object 2/content.xml:2: parser error : attributes construct error
style-name="ch5" chartooo:axis-type="auto"><chartooo:date-scale/><chart:title sv
                                                                               ^
Object 2/content.xml:2: parser error : Couldn't find end of Start Tag title line 2
style-name="ch5" chartooo:axis-type="auto"><chartooo:date-scale/><chart:title sv
                                                                               ^
Object 2/content.xml:2: parser error : Premature end of data in tag axis line 2
style-name="ch5" chartooo:axis-type="auto"><chartooo:date-scale/><chart:title sv
                                                                               ^
...
Comment 2 QA Administrators 2015-10-14 19:56:48 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-12-03 14:31:24 UTC
No warning.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a7c3a2a9be83686657c06f37d521f9f6d2004ddd
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-28_04:39:18
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2017-01-03 19:40:55 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo 2017-11-15 00:07:55 UTC
Still reproducible.

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group

Adding needsUXEval keyword to discuss the validation feature appearance.
Comment 6 Heiko Tietze 2018-06-05 09:34:46 UTC
If we run a validation and something turns out to work but with limitations we should inform/warn the user, of course. The info bar is perfectly suited for this task and I would use the type depending on severity of the issue.
Comment 7 QA Administrators 2019-06-06 02:54:30 UTC
Dear Johnny Baloney,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug